<?php
/*
+--------------------------------------------------------------------------
|   Alex News Engine
|   ========================================
|   by Alex Hntschel
|   (c) 2002 AlexScriptEngine
|   http://www.alexscriptengine.de
|   ========================================
|   Web: http://www.alexscriptengine.de
|   Email: info@alexscriptengine.de
+---------------------------------------------------------------------------
|
|   > Beschreibung
|   > Templates online editieren
|
+--------------------------------------------------------------------------
*/

require("adminfunc.inc.php");
require("../include/newsfunc.inc.php");

$user = CheckUserMain();
$message = "";

if(isset ($change) && $change=="save") {
    ####hier Template speichern####
    if ($template != "" && $temp_content != "") {
      $temp_content = redo_specialchars($temp_content);
      $temp_content = stripslashes($temp_content);
      $fp = @fopen("./../templates/".$template, "w+");

      if (@fwrite($fp, $temp_content)) {
        $message .= "<p class=\"menuhead\">$a_lang[templates_mes1]</p>";
		$step = "edithtml";
      } else {
        $message .= "<p class=\"menuhead\">$a_lang[templates_mes2]</p>";
      }

    }
}

	
#### folgende Funktion bei Release in die adminfunc.inc.php auslagern #####	
function show_all_templates($template_folder = "") {
  global $template_file_name,$a_lang;
  if ($template_folder == "") {
    $template_folder = "./../templates";
  }
  $file_list = array();
  $handle = @opendir($template_folder);
  while ($file = @readdir($handle)) {
    if (@is_file($template_folder."/".$file) && $file != "." && $file != "..") {
      $file_list[] = $file;
    }
  }
  closedir($handle);
  if (empty($file_list) || !is_array($file_list)) {
    $message = "$a_lang[templates_mes3]";
    return false;
  } else {
    echo "<select class=\"input\" name=template_file_name>\n";
    for($i = 0; $i < sizeof($file_list); $i++) {
      echo "<option value=\"".$file_list[$i]."\"";
      if ($template_file_name == $file_list[$i]) {
        echo " selected=\"selected\"";
      }
      echo ">".$file_list[$i]."</option>\n";
    }
  }
}

function redo_specialchars($chars) {
  $chars = preg_replace("/(&#)([0-9]*)(;)/esiU", "chr(intval('\\2'))", $chars);
  $chars = str_replace("&gt;", ">", $chars);
  $chars = str_replace("&lt;", "<", $chars);
  $chars = str_replace("&quot;", "\"", $chars);
  $chars = str_replace("&amp;", "&", $chars);
  return $chars;
}

######################################################################################

?>

<html>
<head>
	<title>Alex Download Engine - Admin Center</title>
<?php
include("adminstyle.inc.php");
include("admin_header.inc.php");

if ($message != "")
   {
   print "<p>$message</p>";
   }

if(!isset ($step) && $change == "") {
  echo " <p><b>$a_lang[templates_nochoosen]</b></p>";
} else {
  if ($step == "edithtml") {
    if(isset($load) && $load=="template") {
    $content = implode("", file($config[newsscripturl]."/templates/$template_file_name"));
	}
	
	
    $info = "$a_lang[templates_info]";
    echo "
	<p class=\"headline\"><img class=\"nav\" src=\"images/setting.gif\" width=\"16\" height=\"16\" border=\"0\" align=\"absmiddle\"> $a_lang[templates_edittpl]:</p>
	<form method=\"post\" action=\"$config[newsscripturl]/admin/templates.php?".session_name()."=".session_id()."\">
    <input class=\"input\" type=\"hidden\" name=\"load\" value=\"template\">
    <input class=\"input\" type=\"hidden\" name=\"step\" value=\"edithtml\">	    
	<table cellspacing=\"0\" cellpadding=\"0\" border=\"0\" width=\"100%\">
          <tr>
                <td class=\"menucat\" colspan=\"2\" bgcolor=\"#446D8C\">
   	   			&raquo; $a_lang[templates_existtpl]:
   	   		    </td>
    </tr>		  		 		 
    <tr>
        	 <td class=\"menuhead\">
    		 $a_lang[templates_choosetpl]:
   			 </td>
        	 <td class=\"menuhead2\">";
    		 show_all_templates();
			 echo "
    		 </td>
    </tr>
    <tr>
        	 <td class=\"menuhead2\" colspan=\"2\">
			 <input class=\"button\" type=\"submit\" value=\"$a_lang[templates_loadtpl]\">
    		 </td>
    </tr>	
    </table>
	</form>
	
	<br>
	
	<form method=\"post\" action=\"$config[newsscripturl]/admin/templates.php?".session_name()."=".session_id()."\">
    <input class=\"input\" type=\"hidden\" name=\"template\" value=\"$template_file_name\">
    <input class=\"input\" type=\"hidden\" name=\"change\" value=\"save\">	
    <table cellspacing=\"0\" cellpadding=\"0\" border=\"0\" width=\"100%\">
   <tr>
             <td class=\"menucat\" bgcolor=\"#446D8C\">
             &raquo; $a_lang[templates_htmltpl]:
             </td>
   </tr>		  		 		 
	
    <tr>
        	 <td class=\"menuhead\">
    		 <span class=\"smalltext\">$info</span>
    		 </td>
   </tr>		  		 		 
	
    <tr>		 
        	 <td class=\"menuhead2\">
    		 <textarea class=\"input\" name=\"temp_content\" rows=\"30\" cols=\"70\" >$content</textarea>
    		 </td>
    </tr>
    <tr>
        	 <td class=\"menuhead2\">
             <input class=\"button\" type=\"submit\" value=\"$a_lang[templates_savetpl]\">
             </td>
    </tr>
    </table>
   
    </form>
    </p>";
	
	
	
  }
}   