<?
/*
+--------------------------------------------------------------------------
|   Alex News Engine
|   ========================================
|   by Alex Hntschel
|   (c) 2002 AlexScriptEngine
|   http://www.alexscriptengine.de
|   ========================================
|   Web: http://www.alexscriptengine.de
|   Email: info@alexscriptengine.de
+---------------------------------------------------------------------------
|
|   > Beschreibung
|   > Klasse fr Dateiupload
|
+--------------------------------------------------------------------------
*/

function randomPassword( $pass_len = 10 ) { 
  $allchar = "ABCDEFGHIJKLNMOPQRSTUVWXYZ" ; 
  $str = "" ; 
  mt_srand (( double) microtime() * 1000000 ); 
  for ( $i = 0; $i<$pass_len ; $i++ ) 
    $str .= substr( $allchar, mt_rand (0,25), 1 ) ; 
  return $str ; 
}

class MyUpload{    

  var $cls_upload_dir = "";
	var $cls_filename = "";
  var $cls_max_filesize = 1048576;
  var $cls_filesize;
  var $cls_file;
  var $cls_copyfile = "";
  var $cls_referer = "";
  var $cls_arr_ext_accepted;
  var $cls_rename_file = 0; 

  function MyUpload( $referer ){
    global $file, $file_name, $file_size; 
    $this->cls_referer  = $referer;
    $this->cls_filename = $file_name;
    $this->cls_file = $file;
    $this->cls_filesize = $file_size;
    $this->cls_arr_ext_accepted = array(
      ".txt", ".gif", ".jpg", ".zip", ".rar", ".html");
  }

  function setDir( $dir ){
    $this->cls_upload_dir = $dir;
  }

   function setCompleteFilename(){
     $this->cls_copyfile = $this->cls_upload_dir ."/". $this->cls_filename;
   }

  function checkExtension(){
	  $this->cls_filename = ereg_replace(" ", "_", $this->cls_filename );
	  $this->cls_filename = ereg_replace("%20", "_", $this->cls_filename );

    if( !in_array( $this->get_extension( $this->cls_filename ), $this->cls_arr_ext_accepted )){
      return 0;
    } 
    else 
      return 1;
  }

  function checkFileSize(){
    if( $this->cls_filesize > $this->cls_max_filesize ){
      return 0;
    } 
    else 
      return 1;
  }
  
  function filenameExist(){
	  if ( file_exists( $this->cls_copyfile ) )
      return 1;
    else
      return 0;
  }

  function myCopy(){
    global $HTTP_REFERER;

    if( !$this->filenameExist( $this->cls_copyfile ) ){ 
      if( strcmp( $HTTP_REFERER, $this->cls_referer ) != 0 ){
        if( @move_uploaded_file( $this->cls_file, $this->cls_copyfile )){  
          @chmod( $this->cls_copyfile, 0777); 
		  @unlink( $this->cls_filename );
          if( $this->cls_rename_file ){
          
            $temp_name = $this->changeFilename();
            if( !rename( $this->cls_copyfile, $temp_name )){
              return 2;
            }else
              $this->cls_copyfile = $temp_name;
          }
          return 1; 
        }else
        return 0;
      }else
        return -1;
    }else
      return -2;
  }

  function changeFilename(){

		$extension = $this->get_extension( $this->cls_copyfile );
		$new_name = strtolower( randomPassword( 10 ));
		$new_name .= $extension;
		$new_name = strtolower( $new_name );
		$new_name = $this->cls_upload_dir ."/$new_name";				
    return $new_name;

  }

  function get_extension( $filename ){
    return strrchr( $filename, "." );
  }

  function setFormEnctype(){
    return "enctype=\"multipart/form-data\"";
  }

  function setFormFileSize( $size ){
    return "<input type=\"hidden\" name=\"MAX_FILE_SIZE\" value=\"$size\">\n";
  }

  function setFormFileInput( $name = "file" ){
    return "<input class=\"input\" type=\"file\" name=\"$name\" size=\"40\" maxlenght=\"150\">\n";
  }

};





