<?php
/*
+--------------------------------------------------------------------------
|   Alex News Engine
|   ========================================
|   by Alex Hntschel
|   (c) 2002 AlexScriptEngine
|   http://www.alexscriptengine.de
|   ========================================
|   Web: http://www.alexscriptengine.de
|   Email: info@alexscriptengine.de
+---------------------------------------------------------------------------
|
|   > Beschreibung
|   > CSS Definitionen
|
+--------------------------------------------------------------------------
*/

header("Content-type: text/css");

require("config.inc.php");
require("db.func.inc.php");

$db_sql = new db_sql;
$db_sql->database=$dbName;
$db_sql->server=$hostname;
$db_sql->user=$dbUname;
$db_sql->password=$dbPasswort;
$db_sql->myconnect();


$config = $db_sql->query_array("SELECT * from $set_table WHERE styleid='1'");

$db_sql->closeSQL();
?>

.news {
	font-family : <?php echo"$config[fontf]"; ?>;
	font-size : 10px;
	color : <?php echo"$config[textcol]"; ?>;
}
/* Link im Kommentar */
 A.news, A.news:LINK, A.news:VISITED {
	font-family : <?php echo"$config[fontf]"; ?>;
	font-size : 10px;
	color : <?php echo"$config[textcol]"; ?>;
	text-decoration : underline;
}
/* Link im Kommentar, der berfahren wird */
A.news:HOVER {
	font-family : <?php echo"$config[fontf]"; ?>;
	font-size : 10px;
	color : <?php echo"$config[maincol]"; ?>;
	text-decoration : none;
}
/* berschriftenzeile des Kommentars */
.newshead {
	font-family : <?php echo"$config[fontf]"; ?>;
	font-size : 12px;
	font-weight : bold;
	color : <?php echo"$config[textcol2]"; ?>;
}
/* Link im Kommentar */
 A.newshead, A.newshead:LINK, A.newshead:VISITED {
	font-family : <?php echo"$config[fontf]"; ?>;
	font-size : 12px;
	font-weight : bold;
	color : <?php echo"$config[textcol2]"; ?>;
	text-decoration : none;
}
/* Link im Kommentar, der berfahren wird */
A.newshead:HOVER {
	font-family : <?php echo"$config[fontf]"; ?>;
	font-size : 12px;
	font-weight : bold;
	color : <?php echo"$config[textcol2]"; ?>;
	text-decoration : underline;
}
/* Leiste mit Buttons-Definition */
.nav {
	background : <?php echo $config[maincol] ?>;
	color : <?php echo $config[textcol2]; ?>;
}
/* Benutzerzeile Standard */
.main {
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 12px;
	background : <?php echo $config[maincol] ?>;
	color : <?php echo $config[textcol2]; ?>;
}
/* Link normal in der Benutzerzeile */
A.main, A.main:LINK, A.main:VISITED {
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 10px;
	font-style : normal;
	color : <?php echo $config[textcol2]; ?>;
	text-decoration : underline;
}
/* Beim berfahren eines Links in der Benutzerzeile */
A.main:HOVER {
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 10px;
	font-style : normal;
	color : <?php echo $config[primcol] ?>;
	text-decoration : none;
}
/* Hintergrund und Standardauslegung der Navichain */
.navichain {
	background : <?php echo $config[maincol] ?>;
	color : <?php echo $config[textcol2]; ?>;
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 12px;
}
/* Die Navichain normal */
A.navichain, A.navichain:LINK, A.navichain:VISITED {
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 12px;
	color : <?php echo $config[textcol2]; ?>;
	text-decoration : underline;
}
/* Beim berfahren der Navichain */
A.navichain:HOVER {
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 12px;
	color : <?php echo $config[primcol] ?>;
	text-decoration : none;
}
/* Kopfzeile div. Angaben */
.head {
	background : <?php echo $config[maincol]; ?>;
	color : <?php echo $config[textcol2]; ?>;
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 12px;
}
/* berschrift der seitlichen Boxen */
.box {
	background : <?php echo $config[maincol]; ?>;
	color : <?php echo $config[textcol]; ?>;
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 10px;
	font-weight : bold;
	height : 14px;
	}
/* seiliche Boxen normal */
.inbox, A.inbox:LINK, A.inbox:VISITED {
	background : <?php echo $config[primcol]; ?>;
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 9px;
	color : <?php echo $config[textcol]; ?>;
	text-decoration : none;
}
/* Seitliche Boxen beim berfahren */
A.inbox:HOVER {
	background : <?php echo $config[primcol]; ?>;
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 9px;
	color : <?php echo $config[hovercol]; ?>;
	text-decoration : none;
}
/* Beschreibung des Bodytags */
BODY {
     background-color : <?php echo $config[backcol]; ?>;
}
/*Link zur Kategorie und File normal  */
.cat {
	background : <?php echo $config[primcol]; ?>;
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 10px;
	color : <?php echo $config[textcol]; ?>;
}

A.cat, A.cat:LINK, A.cat:VISITED {
	background : <?php echo $config[primcol]; ?>;
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 10px;
	color : <?php echo $config[textcol]; ?>;
	text-decoration : underline;
}
/* Link zur Kategorie und File beim berfahren*/
A.cat:HOVER {
	color : <?php echo $config[textcol]; ?>;
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 10px;
	text-decoration : none;
}

/*Link zur Kategorie und File normal  */
A.maincat, A.maincat:LINK, A.maincat:VISITED {
	background : <?php echo $config[primcol]; ?>;
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 12px;
	color : <?php echo $config[textcol2]; ?>;
	text-decoration : underline;
	font-weight : bold;
}

.maincat {
	background : <?php echo $config[primcol]; ?>;
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 12px;
	color : <?php echo $config[textcol2]; ?>;
	font-weight : bold;
}

/* Link zur Kategorie und File beim berfahren*/
A.maincat:HOVER {
	color : <?php echo $config[hovercol]; ?>;
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 12px;
	font-weight : bold;
	text-decoration : none;
}

/* Anzeige der Kategoriebeschreibung selbst */
.incat {
	background : <?php echo $config[primcol]; ?>;
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 10px;
	color : <?php echo $config[textcol]; ?>;
}

A.incat, A.incat:LINK, A.incat:VISITED {
	background : <?php echo $config[primcol]; ?>;
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 10px;
	color : <?php echo $config[textcol]; ?>;
	text-decoration : underline;
}
/* Anzeige wenn Link innerhalb einer Kategorie */
A.incat:HOVER {
	background : <?php echo $config[primcol]; ?>;
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 10px;
	color : Blue;
	text-decoration : none;
}
/* Anzeige der Downloadbeschreibung */
.infile {
	background : <?php echo $config[primcol]; ?>;
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 10px;
	color : <?php echo $config[textcol]; ?>;
	text-decoration : none;
}

/* Anzeige der Downloadbeschreibung */
A.infile, A.infile:LINK, A.file:VISITED {
	background : <?php echo $config[primcol]; ?>;
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 10px;
	color : <?php echo $config[textcol]; ?>;
	text-decoration : underline;
}

/* Link innerhalb eines Downloads */
A.infile:HOVER {
	background : <?php echo $config[primcol]; ?>;
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 10px;
	color : <?php echo $config[hovercol]; ?>;
	text-decoration : none;
}
/* Standardgrsse des Bewertungsfeldes */
.incomment {
	background : <?php echo $config[primcol]; ?>;
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 9px;
}
/* INUPT Tag im Bewertungsfeld */
INPUT.incomment {
	background : <?php echo $config[primcol]; ?>;
	border-bottom : 1px solid <?php echo $config[maincol]; ?>;
	border-left : 1px solid <?php echo $config[maincol]; ?>;
	border-right : 1px solid <?php echo $config[maincol]; ?>;
	border-top : 1px solid <?php echo $config[maincol]; ?>;
	text-align : center;
	color : <?php echo $config[textcol]; ?>;
}
/* grosse Schrift innerhalb Kommentare und Bewertung */
.incommentbig {
	background : <?php echo $config[primcol]; ?>;
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 12px;
}
/* der Kommentar selbst */
.post {
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 11px;
	color : Black;
}
/* Link im Kommentar */
 A.post, A.post:LINK, A.post:VISITED {
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 11px;
	color : Black;
	text-decoration : underline;
}
/* Link im Kommentar, der berfahren wird */
A.post:HOVER {
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 11px;
	color : Black;
	text-decoration : none;
	background : <?php echo $config[primcol]; ?>;
}
/* berschriftenzeile des Kommentars */
.posthead {
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 10px;
	font-weight : bold;
	color : Black;
}
/* Daten des Users wenn Kommentar gepostet */
.user {
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 10px;
	color : Black;	
}
/* Namensanzeige um Kommentare zu schreiben */
.username {
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 14px;
	font-weight : bold;
}
/* Zeile fr die Postingdaten */
.posting {
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 12px;
	color : <?php echo $config[textcol]; ?>;
}
/* Eingabefelder fr Postin */
.input {
	background-color : #D3D3D3;
	color : Black;
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 11px;
	border-bottom : 1px solid <?php echo $config[maincol]; ?>;
	border-left : 1px solid <?php echo $config[maincol]; ?>;
	border-right : 1px solid <?php echo $config[maincol]; ?>;
	border-top : 1px solid <?php echo $config[maincol]; ?>;
	width : 90%;
}

.listfield {
	background-color : #D3D3D3;
	color : Black;
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 11px;
	border-bottom : 1px solid <?php echo $config[maincol]; ?>;
	border-left : 1px solid <?php echo $config[maincol]; ?>;
	border-right : 1px solid <?php echo $config[maincol]; ?>;
	border-top : 1px solid <?php echo $config[maincol]; ?>;
}

.button {
	background-color : #D3D3D3;
	color : Black;
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 11px;
	border-bottom : 1px solid <?php echo $config[maincol]; ?>;
	border-left : 1px solid <?php echo $config[maincol]; ?>;
	border-right : 1px solid <?php echo $config[maincol]; ?>;
	border-top : 1px solid <?php echo $config[maincol]; ?>;
}


/* Daten die Unterhalb der KlickSmilies stehen */
.info {
	background : <?php echo $config[primcol]; ?>;
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 9px;
	text-align : center;
}
/* Beschreibt die Klicksmilies */
.smilie {
	background : <?php echo $config[textcol]; ?>;
	color: <?php echo $config[textcol2]; ?>;
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 9px;
	vertical-align : middle;
}

INPUT.input {
	background-color : #D3D3D3;
	color : Black;
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 11px;
	border-bottom : 1px solid <?php echo $config[maincol]; ?>;
	border-left : 1px solid <?php echo $config[maincol]; ?>;
	border-right : 1px solid <?php echo $config[maincol]; ?>;
	border-top : 1px solid <?php echo $config[maincol]; ?>;
}

TEXTAREA.input {
	background-color : #D3D3D3;
	color : Black;
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 11px;
	border-bottom : 1px solid <?php echo $config[maincol]; ?>;
	border-left : 1px solid <?php echo $config[maincol]; ?>;
	border-right : 1px solid <?php echo $config[maincol]; ?>;
	border-top : 1px solid <?php echo $config[maincol]; ?>;	
}

.message {
	background-color : <?php echo $config[maincol]; ?>;
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 11px;
	color : Yellow;
	font-weight : bold;
	letter-spacing : 2px;
}

A.message, A.message:LINK, A.message:VISITED {
	background-color : <?php echo $config[maincol]; ?>;
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 11px;
	color : Yellow;
	font-weight : bold;
	letter-spacing : 2px;
	text-decoration : underline;
}

A.message:HOVER {
	background-color : <?php echo $config[maincol]; ?>;
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 11px;
	color : Yellow;
	font-weight : bold;
	letter-spacing : 2px;
	text-decoration : none;	
}
.member {
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 12px;
	color : <?php echo $config[textcol]; ?>;
	background-color : <?php echo $config[primcol]; ?>;
	line-height : 25px;
}

A.member, A.member:LINK, A.member:VISITED {
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 12px;
	text-decoration : underline;
	color : <?php echo $config[textcol]; ?>;
	background-color : <?php echo $config[primcol]; ?>;
	line-height : 25px;	
}
A.member:HOVER {
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 12px;
	text-decoration : none;
	color : <?php echo $config[textcol]; ?>;
	background-color : <?php echo $config[primcol]; ?>;	
	line-height : 25px;	
}

.article {
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 12;
	background-color : <?php echo $config[primcol]; ?>;
}

A.article, A.article:VISITED {
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 12;
	background-color : <?php echo $config[primcol]; ?>;
	text-decoration : underline;
	color : <?php echo $config[textcol]; ?>;
}

A.article:HOVER {
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 12;
	background-color : <?php echo $config[primcol]; ?>;
	text-decoration : none;
	color : <?php echo $config[hovercol]; ?>;
}

.topfile {
	font-family : <?php echo $config[fontf]; ?>;
	background-color : <?php echo $config[primcol]; ?>;
}

A.topfile, A.topfile:VISITED {
	font-family : <?php echo $config[fontf]; ?>;
	background-color : <?php echo $config[primcol]; ?>;
	text-decoration : underline;
	color : <?php echo $config[textcol]; ?>;
}

A.topfile:HOVER {
	font-family : <?php echo $config[fontf]; ?>;
	background-color : <?php echo $config[primcol]; ?>;
	text-decoration : none;
	color : Blue;
}

.footer {
	font-family : <?php echo $config[fontf]; ?>;
	color : <?php echo $config[textcol]; ?>;
	font-size: 10;
}

A.footer, A.footer:VISITED {
	font-family : <?php echo $config[fontf]; ?>;
	text-decoration : underline;
	color : <?php echo $config[textcol]; ?>;
}

A.footer:HOVER {
	font-family : <?php echo $config[fontf]; ?>;
	text-decoration : none;
	color : <?php echo $config[textcol]; ?>;
}

.legend {
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 10px;
	color : <?php echo $config[textcol2]; ?>;
}

/* Style-Definition fr die Topliste */
.toplist {
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 12;
	background-color : <?php echo $config[primcol]; ?>;
}

A.toplist, A.toplist:VISITED {
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 12;
	background-color : <?php echo $config[primcol]; ?>;
	text-decoration : underline;
	color : <?php echo $config[textcol]; ?>;
}

A.toplist:HOVER {
	font-family : <?php echo $config[fontf]; ?>;
	font-size : 12;
	background-color : <?php echo $config[primcol]; ?>;
	text-decoration : none;
	color : <?php echo $config[textcol]; ?>;
}

