<?php
/*
+--------------------------------------------------------------------------
|   Alex News Engine
|   ========================================
|   by Alex Hntschel
|   (c) 2002 AlexScriptEngine
|   http://www.alexscriptengine.de
|   ========================================
|   Web: http://www.alexscriptengine.de
|   Email: info@alexscriptengine.de
+---------------------------------------------------------------------------
|
|   > Beschreibung
|   > Mitglieder-Funktionen Admin Center
|
+--------------------------------------------------------------------------
*/

require("adminfunc.inc.php");
require("../include/newsfunc.inc.php");

$user = CheckUserMain();
$message = "";

if(isset ($change) && $change=="add") {
 	####hier Mitglied hinzufgen####
	if ( holeUser($username))
	    $message .= "<p class=\"menuhead\">$a_lang[member_mes1a] \"$username\" $a_lang[member_mes1b]<br>\n</p>";
    if ( empty($useremail))
    	  $message .= "<p class=\"menuhead\">$a_lang[member_mes2]\n</p>";
    if (! isEmail($useremail))
    	  $message .= "<p class=\"menuhead\">$a_lang[member_mes3]\n</p>";
    if ($message=="")
    	  {
 	   	  $uid = AddMemberData($username,$userpassword,$useremail,$userhp,$groupid,$avatarid,$show_email_global,$blocked);
		  $message .= "<p class=\"menuhead\">$a_lang[member_mes4] - UserID $uid</p>";
		  unset ($memberid);
 	  	  }
	 }
	
if(isset ($change) && $change=="del") {
	####hier Mitglied lschen####
	DelMember($memberid);
	$message .= "<p class=\"menuhead\">$a_lang[member_mes5]</p>";
	unset ($memberid);
	}
	
if(isset ($change) && $change=="edit") {
    ####hier Mitglied editieren####
	if ($show_email_global == "") {
	$show_email_global = 0;
	}
	if ($blocked == "") {
	$blocked = 0;
	}

	InsertNewUserData($memberid,$username,$userpassword,$useremail,$userhp,$groupid,$avatarid,$show_email_global,$blocked);
	unset ($memberid);
	$message .= "<p class=\"menuhead\">$a_lang[member_mes6]</p>";
	}


?>

<html>
<head>
<title>Alex News Engine - Admin Center</title>
<script language="Javascript" type="text/javascript">
<!--
var neu = null;
function GroupInfo() {
    neu = window.open('', 'Neues', 'width=600,height=500,resizable=0');
    if (neu != null) {
    if (neu.opener == null) {
        neu.opener = self;
        }
    neu.location.href = '<?php echo"$config[newsscripturl]"; ?>/admin/member.php?step=groupinfo&<?php echo session_name()."=".session_id() ?>';
    }
}
//-->
</script>
<script language="Javascript" type="text/javascript">
<!--
var neu = null;
function Avatar() {
    neu = window.open('', 'Neues', 'width=600,height=500,resizable=0');
    if (neu != null) {
    if (neu.opener == null) {
        neu.opener = self;
        }
    neu.location.href = '<?php echo"$config[newsscripturl]"; ?>/avatarlist.php?<?php echo session_name()."=".session_id() ?>';
    }
}
//-->
</script>

<?php
include("adminstyle.inc.php");
include("admin_header.inc.php");
?>

<?php

if ($message != "")
   {
   print "<p>$message</p>";
   }
	

if(!isset ($step) && $change == "") {
  echo " <p><b>Es wurde keine Auswahl getroffen. Bitte whle links aus der Navigation die gewnschte Option aus.</b></p>";
} else {
  if($step == "change") {
  #### hier, Mitglied lschen und editieren ####
  GetMembers();
  }
  
  if($step == "get") {
  #### hier, Mitglied suchen ####
  SearchMember($username);
  }

  if($step == "search") {
  #### hier, Mitglied lschen und editieren ####
  #### Suche nach Download ####
  echo "
  <p class=\"headline\"><img class=\"nav\" src=\"images/user.gif\" width=\"22\" height=\"20\" border=\"0\"> $a_lang[member_u_search]:</p>
  <form method=\"post\" action=\"$config[newsscripturl]/admin/member.php?".session_name()."=".session_id()."\">
  <input type=\"hidden\" name=\"step\" value=\"get\">
  <table cellspacing=\"0\" cellpadding=\"0\" border=\"0\" width=\"100%\">
  <tr>
  <td class=\"menucat\" colspan=\"7\" bgcolor=\"#446D8C\">
  &raquo; $a_lang[member_insert]:
  </td>
  </tr>		  		 		 

  <tr>
  <td class=\"menuhead\"><input class=\"input\" name=\"username\" type=\"text\" size=\"50\"></td>
  <td class=\"menuhead2\"><input class=\"button\" type=\"submit\" value=\"$a_lang[member_search]\"></td>
  </tr>
  </table>
  ";	 
  
  }

  if($step == "add") {
  #### hier, Mitglied hinzufgen ###
  AddMemberForm();
  }

  if($step == "del") {
  #### hier, Mitglied lschen ####
  $result = mysql_query("SELECT * FROM $user_table WHERE userid='$memberid'");
  $del = mysql_fetch_array($result);
  echo " 
  <p class=\"headline\"><img class=\"nav\" src=\"images/delart.gif\" width=\"16\" height=\"16\" border=\"0\" align=\"absmiddle\"> $a_lang[afunc_259]: <u>$del[username]</u></p>
  <form method=\"post\" action=\"$config[newsscripturl]/admin/member.php?".session_name()."=".session_id()."\">
  <input type=\"hidden\" name=\"change\" value=\"del\">
  <input type=\"hidden\" name=\"memberid\" value=\"$memberid\">
  <table>
  <tr>
  <td class=\"menuhead\">
  $a_lang[member_del1] (ID: $memberid) $a_lang[member_del2]?
  </td>
  </tr>
  <tr>
  <td class=\"menuhead2\">
    <input class=\"button\" type=\"submit\" value=\"   $a_lang[afunc_61]   \">&nbsp;&nbsp;<input type=\"button\" value=\"  $a_lang[afunc_62]  \" onclick=\"history.go(-1)\" class=\"button\">
  </td>
  </tr>
  </table>
  ";

  }
  
  if($step == "edit") {
  #### hier, Mitglied editieren ####
  GetMemberEditForm($memberid);
  }

  if($step == "groupinfo") {
  #### hier, Mitglied editieren ####
  echo "
	<p class=\"headline\"><img class=\"nav\" src=\"images/user.gif\" width=\"22\" height=\"20\" border=\"0\"> $a_lang[member_infos]:</p>
	<p>
	
	<table width=\"100%\" cellspacing=\"0\" cellpadding=\"4\" border=\"0\">
	<tr>
	    <td class=\"menuhead3\"><b>$a_lang[member_group]</b></td>
	    <td class=\"menuhead3\"><b>$a_lang[member_q1]</b></td>
	    <td class=\"menuhead3\"><b>$a_lang[member_q2]</b></td>
	    <td class=\"menuhead3\"><b>$a_lang[member_q3]</b></td>
	    <td class=\"menuhead3\"><b>$a_lang[member_q4]</b></td>
		<td class=\"menuhead3\"><b>$a_lang[member_q5]</b></td>
	</tr>
	<tr>
	    <td class=\"menuhead3\"><b>$a_lang[member_admin]</b></td>
	    <td class=\"menuhead2\" align=\"center\">X</td>
	    <td class=\"menuhead2\" align=\"center\">X</td>
	    <td class=\"menuhead2\" align=\"center\">X</td>
	    <td class=\"menuhead2\" align=\"center\">X</td>
		<td class=\"menuhead2\" align=\"center\">X</td>
	</tr>
	<tr>
	    <td class=\"menuhead3\"><b>$a_lang[member_coadmin]</b></td>
	    <td class=\"menuhead2\">&nbsp;</td>
	    <td class=\"menuhead2\" align=\"center\">X</td>
	    <td class=\"menuhead2\" align=\"center\">X</td>
	    <td class=\"menuhead2\" align=\"center\">X</td>
		<td class=\"menuhead2\" align=\"center\">X</td>
	</tr>
	<tr>
	    <td class=\"menuhead3\"><b>$a_lang[member_newsposter]</b></td>
	    <td class=\"menuhead2\">&nbsp;</td>
	    <td class=\"menuhead2\" align=\"center\">X</td>
	    <td class=\"menuhead2\">&nbsp;</td>
	    <td class=\"menuhead2\">&nbsp;</td>
		<td class=\"menuhead2\" align=\"center\">X</td>
	</tr>
	<tr>
	    <td class=\"menuhead3\"><b>$a_lang[member_supermod]</b></td>
	    <td class=\"menuhead2\">&nbsp;</td>
	    <td class=\"menuhead2\">&nbsp;</td>
	    <td class=\"menuhead2\" align=\"center\">X</td>
	    <td class=\"menuhead2\" align=\"center\">X</td>
		<td class=\"menuhead2\" align=\"center\">X</td>
	</tr>
	<tr>
	    <td class=\"menuhead3\"><b>$a_lang[member_mod]</b></td>
	    <td class=\"menuhead2\">&nbsp;</td>
	    <td class=\"menuhead2\">&nbsp;</td>
	    <td class=\"menuhead2\" align=\"center\">X</td>
	    <td class=\"menuhead2\">&nbsp;</td>
		<td class=\"menuhead2\" align=\"center\">X</td>
	</tr>
	<tr>
	    <td class=\"menuhead3\"><b>$a_lang[member_member]</b></td>
	    <td class=\"menuhead2\">&nbsp;</td>
	    <td class=\"menuhead2\">&nbsp;</td>
	    <td class=\"menuhead2\">&nbsp;</td>
	    <td class=\"menuhead2\">&nbsp;</td>
		<td class=\"menuhead2\" align=\"center\">X</td>
	</tr>
	<tr>
	    <td class=\"menuhead3\"><b>$a_lang[member_guest]</b></td>
	    <td class=\"menuhead2\">&nbsp;</td>
	    <td class=\"menuhead2\">&nbsp;</td>
	    <td class=\"menuhead2\">&nbsp;</td>
	    <td class=\"menuhead2\">&nbsp;</td>
		<td class=\"menuhead2\" align=\"center\"><font size=\"1\">$a_lang[member_choosen]</font></td>
	</tr>
	
	</table>
	
	</p>
	<p><font face=\"Tahoma\" size=\"1\">$a_lang[member_desc]</font></p>
	<div align=\"center\"><a class=\"menu\" href=\"javascript: self.close();\">&raquo; $a_lang[member_close] &laquo;</a></div>
	";
  }
  

}

include("admin_footer.inc.php");
?>