<?php
/*
+--------------------------------------------------------------------------
|   Alex News Engine
|   ========================================
|   by Alex Hntschel
|   (c) 2002 AlexScriptEngine
|   http://www.alexscriptengine.de
|   ========================================
|   Web: http://www.alexscriptengine.de
|   Email: info@alexscriptengine.de
+---------------------------------------------------------------------------
|
|   > Beschreibung
|   > News-Funktionen Admin Center
|
+--------------------------------------------------------------------------
*/

require("adminfunc.inc.php");
require("../include/newsfunc.inc.php");

$user = CheckUserMain();   
$message = "";

if (isset ($change) && $change=="edit") {
   #### hier werden News-nderungen gespeichert ####
   InsertNews($newsid,$headline,$catid,$hometext,$newstext,$published,$pic_n,$pic_name,$comments_allowed,$news_links,$newsdate);

   $message .= "<p class=\"menuhead\">$a_lang[news_mes2]</p>";
   $step = "edit";
   }
   
if (isset ($change) && $change=="newsadd") {
   #### hier werden neue News hinzugefgt und Links angehngt#####
   $newsid = InsertNewNews($poster,$headline,$catid,$hometext,$newstext,$published,$pic_n,$pic_name,$comments_allowed,$news_links);
   $message .= "<p class=\"menuhead\">$a_lang[news_mes4]<br>$a_lang[news_click] <a class=\"menu\" href=\"$config[newsscripturl]/admin/news.php?step=linkadd&newsid=$newsid&".session_name()."=".session_id()."\">$a_lang[news_here]</a> $a_lang[news_addlink]</p>";
   unset($newsid);
   }      
   
if (isset ($change) && $change=="linkedit") {
   #### hier werden Link-nderungen gespeichert ####
   InsertLinks($linkid,$link_name,$link_url,$link_target);
   $message .= "<p class=\"menuhead\">$a_lang[news_mes1]</p>";
   }   
   
if (isset ($change) && $change=="del") {
   #### hier werden News gelscht #####
   DelNews($newsid);
   $message .= "<p class=\"menuhead\">$a_lang[news_mes3]</p>";
   }
   
if (isset ($change) && $change=="linkdel") {
   #### hier werden Links gelscht #####
   DelLink($linkid);
   $message .= "<p class=\"menuhead\">$a_lang[news_mes6]</p>";
   }   
   
if (isset ($change) && $change=="linkadd") {
   #### hier werden neue Links hinzugefgt #####
   InsertNewLink($newsid,$link_name,$link_url,$link_target);
   $message .= "<p class=\"menuhead\">$a_lang[news_mes7]<br>$a_lang[news_click] <a class=\"menu\" href=\"$config[newsscripturl]/admin/news.php?step=linkadd&newsid=$newsid&".session_name()."=".session_id()."\">$a_lang[news_here]</a> $a_lang[news_addmorelinks]</p>";
   unset($newsid);
   }   
   
?>

<html>
<head>
<title>Alex News Engine - Admin Center</title>
<script language="Javascript" type="text/javascript">
<!--
var neu = null;
function Uploadfile() {
    neu = window.open('', 'Neues', 'width=600,height=500,resizable=0');
    if (neu != null) {
    if (neu.opener == null) {
        neu.opener = self;
        }
    neu.location.href = '<?php echo"$config[newsscripturl]"; ?>/admin/upload.php?step=file&new_dir=http://localhost/projekte/alexart/files&<?php echo session_name()."=".session_id() ?>';
    }
}

function Uploadimage() {
    neu = window.open('', 'Neues', 'width=600,height=500,resizable=0');
    if (neu != null) {
    if (neu.opener == null) {
        neu.opener = self;
        }
    neu.location.href = '<?php echo"$config[newsscripturl]"; ?>/admin/upload.php?step=thumb&<?php echo session_name()."=".session_id() ?>';
    }
}

function Helpfile() {
    neu = window.open('', 'Neues', 'width=750,height=500,resizable=0,scrollbars=1');
    if (neu != null) {
    if (neu.opener == null) {
        neu.opener = self;
        }
    neu.location.href = '<?php echo"$config[newsscripturl]"; ?>/admin/bbhelp.php?<?php echo session_name()."=".session_id() ?>';
    }
}

//-->
</script>

<?php
include("adminstyle.inc.php");
include("admin_header.inc.php");



if ($message != "")
   {
   print "<p>$message</p>";
   }
   

  if($step == "cat") {
  	 #### Suche nach Kategorie ####
	 NewsCatSearch($catid);
  }
  
  if($step == "down") {
     #### Suche nach berschrift ####
	 echo "
	 <p class=\"headline\"><img class=\"nav\" src=\"images/search.gif\" width=\"16\" height=\"16\" border=\"0\" align=\"absmiddle\"> Suche nach News-Headline:</p>
	 <form method=\"post\" action=\"$config[newsscripturl]/admin/news.php?".session_name()."=".session_id()."\">
	 <input type=\"hidden\" name=\"step\" value=\"news\">
	 <table class=\"menuhead\" cellspacing=\"0\" cellpadding=\"0\" border=\"1\" width=\"100%\">
	 <tr>
	 <td class=\"menucat\" colspan=\"2\" bgcolor=\"#446D8C\">
	 &raquo; $a_lang[news_inserthead]:
	 </td>
	 </tr>
     <tr>
     <td class=\"menuhead\" width=\"100%\"><input class=\"input\" name=\"newstitle\" type=\"text\" size=\"80\"></td>
     <td class=\"menuhead2\"><input class=\"button\" type=\"submit\" value=\"$a_lang[news_search]\"></td>
     </tr>
     </table>
	 ";	 
	 
  }
  
  if($step == "news") {
  	 #### Newsauswahl, Suche nach Namen ####
     NewsNameSearch($newstitle);
  }
  
  if($step == "post") {
  	 #### neue News schreiben ####
     NewsPost();
  } 
  
  if($step == "add") {
     #### News hinzufgen (Formular) ####
	 GetNewsForm($catid);
  }
  
  if($step == "choose") {
     #### Newsauswahl nachdem ber Kategorie gesucht wurde ####
	 GetNewsChoose($catid);
  }
  
  if($step == "edit") {
     #### News editieren (Formular) ####
	 GetNewsEditForm($newsid);
  }
  
if ($step == "conf") {
   mysql_query("UPDATE $news_table SET published=1 WHERE newsid=$newsid");
   echo "<p class=\"menuhead\">$a_lang[news_mes5]</p>";
   }  
  
  if($step == "linksedit") {
     #### Links editieren (Auswahl) ####
	 GetLinksEdit($newsid);
  } 
  
  if($step == "link") {
     #### Links editieren (Formular) ####
	 GetLinksEditForm($linkid);
  }     
  
  if($step == "linkadd") {
     #### Links editieren (Formular) ####
	 GetLinksForm($newsid);
  }       
  
  if($step == "del") {
  #### hier, wie ein File gelscht wird ####
  #### lschen wird extra besttigt ####
  $result = mysql_query("SELECT * FROM $news_table WHERE newsid='$newsid'");
  $del = mysql_fetch_array($result);
  echo " 
  <p class=\"headline\"><img class=\"nav\" src=\"images/delart.gif\" width=\"16\" height=\"16\" border=\"0\" align=\"absmiddle\"> $a_lang[afunc_259]: <u>$del[headline]</u></p>
  <form method=\"post\" action=\"$config[newsscripturl]/admin/news.php?".session_name()."=".session_id()."\">
  <input type=\"hidden\" name=\"change\" value=\"del\">
  <input type=\"hidden\" name=\"newsid\" value=\"$newsid\">
  <table>
  <tr>
  <td class=\"menuhead\">
  $a_lang[news_del1] (ID: $newsid) $a_lang[news_del2]
  </td>
  </tr>
  <tr>
  <td class=\"menuhead2\">
    <input class=\"button\" type=\"submit\" value=\"   $a_lang[afunc_61]   \">&nbsp;&nbsp;<input type=\"button\" value=\"  $a_lang[afunc_62]  \" onclick=\"history.go(-1)\" class=\"button\">
  </td>
  </tr>
  </table>
  ";
  }

  if($step == "linkdel") {
  #### hier, wie ein Link gelscht wird ####
  #### lschen wird extra besttigt ####
  $result = mysql_query("SELECT * FROM $newslinks_table WHERE linkid='$linkid'");
  $del = mysql_fetch_array($result);
  echo " 
  <p class=\"headline\"><img class=\"nav\" src=\"images/delart.gif\" width=\"16\" height=\"16\" border=\"0\" align=\"absmiddle\"> $a_lang[afunc_259]: <u>$del[link_name]</u></p>
  <form method=\"post\" action=\"$config[newsscripturl]/admin/news.php?".session_name()."=".session_id()."\">
  <input type=\"hidden\" name=\"change\" value=\"linkdel\">
  <input type=\"hidden\" name=\"linkid\" value=\"$linkid\">
  <table>
  <tr>
  <td class=\"menuhead\">
  Soll der gewhlte Link (ID: $linkid) wirklich unwiderruflich gelscht werden?
  </td>
  </tr>
  <tr>
  <td class=\"menuhead2\">
    <input class=\"button\" type=\"submit\" value=\"   $a_lang[afunc_61]   \">&nbsp;&nbsp;<input type=\"button\" value=\"  $a_lang[afunc_62]  \" onclick=\"history.go(-1)\" class=\"button\">
  </td>
  </tr>
  </table>
  ";
  }
   





include("admin_footer.inc.php");
?>