<?php
/*
+--------------------------------------------------------------------------
|   Alex News Engine
|   ========================================
|   by Alex Hntschel
|   (c) 2002 AlexScriptEngine
|   http://www.alexscriptengine.de
|   ========================================
|   Web: http://www.alexscriptengine.de
|   Email: info@alexscriptengine.de
+---------------------------------------------------------------------------
|
|   > Beschreibung
|   > Einstellungen Farben, News etc. Admin Center
|
+--------------------------------------------------------------------------
*/

require("adminfunc.inc.php");
require("../include/newsfunc.inc.php");

$user = CheckUserMain();
$message = "";

if(isset ($change) && $change=="col") {
 	####hier Farbe einstellen####
	AddColSet($styleid,$textcol,$textcol2,$hovercol,$bordercol,$maincol,$primcol,$backcol,$postcol1,$postcol2,$fontf);
	$message .= "<p class=\"menuhead\">$a_lang[settings_mes1]</p>";
	}
	
if(isset ($change) && $change=="gen") {
	####hier Haupteinstellungen####
	AddGenSet($styleid,$newsscripturl,$scriptname,$adminmail,$smilieurl,$grafurl,$avaturl,$catgrafurl,$mainwidth,$commentmail,$guestpost,$mainurl,$directpost,$addtplname,$showvisitorinfo,$userreg,$userlogin,$activategzip,$gziplevel,$max_comment_length);
	$message .= "<p class=\"menuhead\">$a_lang[settings_mes2]</p>";
	}
	
if(isset ($change) && $change=="new") {
	AddNewSet($styleid,$newsno,$direct_news,$cat_pics,$click_smilies,$show_headline,$headlineno,$show_catlink,$archivsort);
	$message .= "<p class=\"menuhead\">$a_lang[settings_mes3]</p>";
	}


?>

<html>
<head>
<title>Alex News Engine - Admin Center</title>
<script language="JavaScript">
 <!--
  function changecolor(theelement,color) {
   theelement.style.backgroundColor = color;
  }
 //-->
</script>
<?php
include("adminstyle.inc.php");
include("admin_header.inc.php");
?>

<?php

if ($message != "")
   {
   print "<p>$message</p>";
   }

	

if(!isset ($step) && $change == "") {
  echo " <p><b>Es wurde kein Einstelltyp gewhlt. Bitte whle links aus der Navigation die gewnschte Option aus. $step</b></p>";
} else {
  if($step == "gen_set") {
  #### hier, Hauptkonfiguration ####
  GetGenSet();
  }

  if($step == "col_set") {
  GetColSet();
  #### hier, Farbeinstellung ####
  }

  if($step == "new_set") {
  GetNewSet();
  #### hier, Newseinstellung ####
  }
  

}

include("admin_footer.inc.php");
?>