<?php
/*
+--------------------------------------------------------------------------
|   Alex News Engine
|   ========================================
|   by Alex Hntschel
|   (c) 2002 AlexScriptEngine
|   http://www.alexscriptengine.de
|   ========================================
|   Web: http://www.alexscriptengine.de
|   Email: info@alexscriptengine.de
+---------------------------------------------------------------------------
|
|   > Beschreibung
|   > Upload Funktionen Admin Center
|
+--------------------------------------------------------------------------
*/

require("adminfunc.inc.php");
require("../include/newsfunc.inc.php");
require("../include/myupload.php");

$user = CheckUserMain();
$message = "";

if($step == "file") {
	$filedir = strrchr($new_dir,303);
	$filedir = substr($filedir, 1);
	$filedir = "../".$filedir;
	$fieldname = "$a_lang[uploads_url]";
	$end_dir = $config[fileurl];
} elseif($step == "thumb") {
	$filedir = strrchr($config[catgrafurl],303);
	$filedir = substr($filedir, 1); 
	$filedir = "../".$filedir;	
	$fieldname = "$a_lang[uploads_dat_cat]";
	$end_dir = "";
} else {
	$filedir = strrchr($config[avaturl],303);
	$filedir = substr($filedir, 1); 
	$filedir = "../".$filedir;	
	$fieldname = "$a_lang[uploads_dat_av]";
	$end_dir = $config[avaturl];
}

$myU = new MyUpload( $PHP_REFERER );

if( isset( $submit )) {

  if( !$myU->checkExtension() ) {
    $message .= "$a_lang[uploads_extens]<br>";
  }

  if( !$myU->checkFileSize() ){
    $message .= "$a_lang[uploads_size]: ". $myU->cls_filesize."<br>";
  }
  
  if (!$message) {
  	$myU->setDir( "$filedir" );
  	$myU->setCompleteFilename();
  }

  $check_copy = $myU->myCopy();
  switch( $check_copy ){
    case 2: $message .= "$a_lang[uploads_success]". $this->cls_file."<br>";
      break;
    case 1: 
			$upl_file = $myU->cls_copyfile;
			$dlfile = $upl_file; 
			$upl_file = strrchr($upl_file,303);
			$upl_file = substr($upl_file, 1);
			$without = $upl_file;
			$upl_file = $end_dir."/".$upl_file;
			if($step == "file") {
				$file_size = filesize("$dlfile");
				$message .= "<b>$a_lang[uploads_ok1]</b><br>$a_lang[uploads_ok2] <u>$fieldname</u>: <br><input class=\"input\" type=\"text\" value=\"$upl_file\"> <a class=\"menu\" href=\"javascript:filedata('$upl_file')\"><img src=\"images/copy.gif\" border=\"0\" width=\"16\" height=\"16\" align=\"absmiddle\" alt=\"$a_lang[uploads_ok3] $fieldname\"></a><br>\n$a_lang[uploads_ok4]</u>:<br><input class=\"input\" type=\"text\" value=\"$file_size\"> <a class=\"menu\" href=\"javascript:filesize('$file_size')\"><img src=\"images/copy.gif\" border=\"0\" width=\"16\" height=\"16\" align=\"absmiddle\" alt=\"$a_lang[uploads_ok5]\"></a>";
			} elseif($step == "thumb") {
				$message .= "<b>$a_lang[uploads_ok1]</b><br>$a_lang[uploads_ok2] <u>$fieldname</u>:<br><input class=\"input\" type=\"text\" value=\"$without\"> <a class=\"menu\" href=\"javascript:imgdata('$without')\"><img src=\"images/copy.gif\" border=\"0\" width=\"16\" height=\"16\" align=\"absmiddle\" alt=\"$a_lang[uploads_ok3] $fieldname\"></a>";
			} else {
				mysql_query("INSERT INTO $avat_table (avatardata) VALUES ('$without')");
				header("Location: $config[newsscripturl]/admin/avatar.php?step=edit&".session_name()."=".session_id());
		 		exit;
			}
			$step = 1;
      break;
    case 0: $message .= "$a_lang[uploads_copy]<br>";
      break;
    case -1: $message .= "$a_lang[uploads_stillexist]<br>";
      break;
  }
} 

$max_fsize = "2097152";

   
   
?>

<html>
<head>
<title>Alex News Engine - Upload</title>
<script language="JavaScript">
function filedata(data) {
	opener.document.alp.dlurl.value += data+" ";
}

function imgdata(data) {
	opener.document.alp.pic_name.value += data+" ";
}

function filesize(data) {
	opener.document.alp.dlsize.value += data+" ";
}

</script>
<?php
include("adminstyle.inc.php");
include("admin_header.inc.php");


if ($message != "")
   {
   print "<p class=\"menuhead\">$message</p>";
   }
   
  if($step == "file") {
  	 #### File Upload ####
     echo "
<p class=\"headline\"><img class=\"nav\" src=\"images/upload.gif\" width=\"16\" height=\"16\" border=\"0\"> $a_lang[uploads_fileupload]</p>
";	 
  	$head = "File";
  }
  
  
  if($step == "thumb") {
     #### Pic Upload ####
	 echo "<p class=\"headline\"><img class=\"nav\" src=\"images/avat.gif\" width=\"16\" height=\"16\" border=\"0\"> $a_lang[uploads_categupload]</p>";
	 $head = "Vorschaubild";
  }
  
  if($step == "avat") {
     #### Avatar Upload ####
	 echo "<p class=\"headline\"><img class=\"nav\" src=\"images/avat.gif\" width=\"16\" height=\"16\" border=\"0\"> $a_lang[uploads_avatupload]</p>";
	 $head = "Avatar";
  }
  
echo "
<form method=\"post\" action=\"$config[newsscripturl]/admin/upload.php?".session_name()."=".session_id()."\"  enctype=\"multipart/form-data\">
<input class=\"input\" type=\"hidden\" name=\"filedir\" value=\"$filedir\">
<input class=\"input\" type=\"hidden\" name=\"step\" value=\"$step\">
<table width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" border=\"0\">
<tr>
<td class=\"menucat\" colspan=\"2\" bgcolor=\"#446D8C\">
&raquo; $a_lang[uploads_new]:
</td>
</tr>		  		 		 		 
<tr>
    <td colspan=\"2\" class=\"menuhead\">$a_lang[uploads_note1] $max_fsize $a_lang[uploads_note2]</td>
</tr>
<tr>
    <td class=\"menuhead\">$a_lang[uploads_search] $head:</td>
    <td class=\"menuhead2\">\n";
print $myU->setFormFileSize( $max_fsize );
print $myU->setFormFileInput();
echo "						
	
	</td>
</tr>
<tr>
    <td class=\"menuhead\">&nbsp;</td>
    <td class=\"menuhead2\"><input class=\"button\" type=\"submit\" value=\"$a_lang[uploads_upload]\" name=\"submit\"> <input class=\"button\" type=\"reset\" name=\"$a_lang[uploads_reset]\"></td>
</tr>
</table>



</form>";

if ($step != "avat") {
echo "
<div align=\"center\"><a class=\"menu\" href=\"javascript: self.close();\">&raquo; $a_lang[uploads_close]</a></div>";
}




include("admin_footer.inc.php");
?>