<?php
/*
+--------------------------------------------------------------------------
|   Alex News Engine
|   ========================================
|   by Alex Hntschel
|   (c) 2002 AlexScriptEngine
|   http://www.alexscriptengine.de
|   ========================================
|   Web: http://www.alexscriptengine.de
|   Email: info@alexscriptengine.de
+---------------------------------------------------------------------------
|
|   > Beschreibung
|   > Newsarchiv
|
+--------------------------------------------------------------------------
*/

require("include/func.inc.php");
$title = "Newsarchiv";   
require("include/adapt.inc.php");
require("include/newsfunc.inc.php");

$message= "";

if ($message != "")
   {
	eval ("\$message = \"".gettemplate("error")."\";");
   }


   
if (isset($month)&& isset($year)) {
$begin = mktime( 0,0,0,$month,1,$year );
$lastday = LastDay($mlong);
$end = mktime ( 24,59,59,$month,$lastday,$year );
   
$result = $db_sql->sql_query("SELECT $news_table.*,$newscat_table.cat_image,$user_table.username AS postname,$user_table.useremail AS postmail,COUNT($newslinks_table.linkid) AS linkC FROM $news_table
							  LEFT JOIN $newslinks_table ON ($newslinks_table.newsid = $news_table.newsid)
							  LEFT JOIN $newscat_table ON ($newscat_table.catid = $news_table.catid)
							  LEFT JOIN $user_table ON ($user_table.userid = $news_table.userid)
							  WHERE published='1' AND  newsdate BETWEEN '$begin' AND '$end' GROUP BY newsid ORDER BY newsdate DESC");
while($news = $db_sql->fetch_array($result)) {
unset($image);
if ($config[cat_pics] == "1") {
		if ($news[pic_n] == 0) {
		   if ($news[cat_image] != "") $image = "<IMG src=\"$config[catgrafurl]/$news[cat_image]\" border=\"0\">";
		   }		   
		if ($news[pic_n] == 1) $image = "<IMG src=\"$config[catgrafurl]/$news[pic_name]\" border=\"0\">";
		   
		if ($news[pic_n] == 2) $image = "";
} else {
  	    $image = "";
}		
		
		$postname = trim($news[postname]);
		$postmail = trim($news[postmail]);
		
		if ($news[comments_allowed] == 1) {
		$comments = GetCommentNo($news[newsid]);
		$commentlink = "| <a class=\"post\" href=\"$config[newsscripturl]/newscomments.php?newsid=$news[newsid]&".session_name()."=".session_id()."\">$lang[php_comments] ($comments)</a>";
		} else {
		$commentlink = "";
		}
		
		if ($news[news_links] == 0) {
		$linkshow = "";
		} else {
			unset($linkshow);
        		 if ($news[linkC] != "0") {
				 		$result4 = $db_sql->sql_query("SELECT * FROM $newslinks_table WHERE newsid='$news[newsid]'");
				 		while ($links = $db_sql->fetch_array($result4)) {
    					 	    if($links[link_target] == 1) {
    								$target = "target=\"_blank\"";
    							} else {
    							    $target = "target=\"_self\"";
    							}					
                		 	    $linkshow .= "<br>&nbsp;&nbsp;&nbsp;&nbsp;<img src=\"$config[grafurl]/pfeil_rechts.gif\" width=\"9\" height=\"10\" border=\"0\"> <a class=\"article\" href=\"$links[link_url]\" $target>$links[link_name] $anzahl</a>";
						 }
        		 } else {
				    $linkshow = "";
				 }
		}
		unset($count_reads);
		if ($news[newstext] != "") {
		$newshead = "<a class=\"newshead\" href=\"$config[newsscripturl]/news.php?newsid=$news[newsid]&".session_name()."=".session_id()."\">$news[headline]</a>";
		$morenews = "<a class=\"post\" href=\"$config[newsscripturl]/news.php?newsid=$news[newsid]&".session_name()."=".session_id()."\">$lang[php_readmore]</a>";
		$image = "<a href=\"$config[newsscripturl]/news.php?newsid=$news[newsid]&".session_name()."=".session_id()."\">$image</a>";
		$count_reads = " | $lang[php_reads1] $news[reads]x $lang[php_reads2]";
		} else {
		$newshead = "$news[headline]";
		$morenews = "&nbsp;";
		}
		
		if(!class_exists(sBBcode)) include("./include/BB_class.php");
		$sBBcode = new sBBcode;
		$sBBcode->imgcode = intval($imgcode);
		$sBBcode->get_file("./include/BB_code.php");
		$news[hometext] = sBBcode($news[hometext],1,1,1);		
		$news[hometext] = trim($news[hometext]);
		
		$time = date("H:i", $news[newsdate]);
		$month = date("n", $news[newsdate]);
		$f_day = date("d", $news[newsdate]);
		$f_year = date("Y", $news[newsdate]);
		$fulldate = $f_day.". ".GetGerMonth($month)." ".$f_year;
		$day = date("D", $news[newsdate]);
		
		switch($day)
			{
			case Tue;
				 $day = "$lang[php_tu]";
				 break;
			case Wed;
				 $day = "$lang[php_we]";
				 break;
			case Thu;
				 $day = "$lang[php_th]";
				 break;
			case Fri;
				 $day = "$lang[php_fr]";
				 break;
			case Sat;
				 $day = "$lang[php_sa]";
				 break;
			case Sun;
				 $day = "$lang[php_su]";
				 break;
			default;
				 $day = "$lang[php_mo]";
				 break;
			}
		eval ("\$news_content .= \"".gettemplate("news_bit")."\";");	
		}
eval ("\$including = \"".gettemplate("news_archiv_main")."\";");			
}

if (!isset($month)) {
	$archiv_link = GetArchivLinks();	
	eval ("\$including = \"".gettemplate("archiv_main")."\";");			
}

$query = showQueries($develope);   
eval("dooutput(\"".gettemplate("main_other")."\");");
?>